[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 583: sizeof(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 639: sizeof(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4516: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3262)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4516: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3262)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4516: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3262)
linux-PHC • phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 5.3 - Page 4
Page 4 of 8

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 3.

Posted: Mon 4. Aug 2014, 15:59
by teknohog
Linux 3.16 was released, and the latest 15.1 patch for 3.15 did not quite work. It was a reasonably small change, so I patched that bit by hand. Here is my 0.4.0 patch for 3.16, posted from a machine running it :)

http://iki.fi/teknohog/hacks/linux-phc- ... ohog.patch

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 3.

Posted: Mon 6. Oct 2014, 08:34
by lio
No need to update the pack as phc-intel-pack-rev16 is compatible with kernel 3.17.

lio

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 3.

Posted: Mon 8. Dec 2014, 06:17
by Sky
I am a little confused... :( I use Ubuntu 14.04 with kernel 3.13.1, PHC rev 16, and I've read in several online tutorials that there is no need anymore to compile the kernel with the PHC module, only to install PHC and replace in the file /etc/default/grub the value:

Code: Select all

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash cpufreq_driver=phc-intel"
For example the following tutorial (German):
http://thinkwiki.de/PHC-Patch

However following the tutorial did not work for me, I am still getting nothing from:

Code: Select all

lsmod | grep phc
Is this tutorial correct? If so, what am I doing wrong?

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 3.

Posted: Tue 9. Dec 2014, 11:42
by lio
What type of CPU do you have? What exactly did you do to make phc work? While you don't need to rebuild your own kernel on Ubuntu anymore, you still have to compile the phc-module itself and it has to be installed in the right place. How did you do it? With dkms? How do you load the module? What happens if you run 'modprobe phc-intel'?

lio

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 4.

Posted: Mon 14. Mar 2016, 10:28
by lio
phc-intel-pack-rev20 is out with refreshed patches for kernel 4.5

lio

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 4.

Posted: Wed 23. Mar 2016, 14:54
by Aalexeey
I have two kernels installed: 3.14-0.bpo.2-686-pae (gcc-4.6) and 4.3-6.dmz.2-liquorix-686 (gcc-5). To build phc for the second one I have to edit Makefile "CC=gcc" to "CC=gcc-5", the first kernel phc build will fail, in such a way. Default Makefile will fail the second kernel phc build. Is it possible to get "phc-intel" build success for both kernels with such different gcc versions? Some kind of auto build in Makefile. The gcc-5 for precise is from here: http://ppa.launchpad.net/ubuntu-toolcha ... st/ubuntu/ works perfect in Wheezy.

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 4.

Posted: Fri 25. Mar 2016, 15:50
by lio
Aalexeey wrote:To build phc for the second one I have to edit Makefile "CC=gcc" to "CC=gcc-5"
If you don't use dkms but make; make install, you can just pass CC=gcc-5 as an argmument to make at the command line.
Is it possible to get "phc-intel" build success for both kernels with such different gcc versions?
In principle, yes. I may cook up something for the next release. Btw. what's the error message/log you get?

lio

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 4.

Posted: Sat 26. Mar 2016, 09:32
by Aalexeey

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 4.

Posted: Sun 27. Mar 2016, 08:23
by Aalexeey
lio wrote:If you don't use dkms but make
Make doesn't work too:

Code: Select all

root@*******:/home/xxxxxxx/phc-intel-pack-rev20# make
Preparing build area for phc-intel-0.3.2:
searching for patch directory... using ./inc/4.4
copying files
patching file phc-intel.c
SUCCESS. Build area ready.

make -C /lib/modules/`uname -r`/build SUBDIRS=/home/xxxxxxx/phc-intel-pack-rev20 modules
make[1]: Entering directory `/usr/src/linux-headers-4.4-6.dmz.1-liquorix-686'
  CC [M]  /home/xxxxxxx/phc-intel-pack-rev20/phc-intel.o
cc1: error: -Werror=date-time: no option -Wdate-time
make[2]: *** [/home/xxxxxxx/phc-intel-pack-rev20/phc-intel.o] Ошибка 1
make[1]: *** [_module_/home/xxxxxxx/phc-intel-pack-rev20] Ошибка 2
make[1]: Leaving directory `/usr/src/linux-headers-4.4-6.dmz.1-liquorix-686'
make: *** [phc-intel.ko] Ошибка 2
root@*******:/home/xxxxxxx/phc-intel-pack-rev20#

Re: phc-intel 0.3.2 and 0.4.0 + dkms for kernel 2.6.27 to 4.

Posted: Sun 27. Mar 2016, 08:33
by Aalexeey
lio wrote:If you don't use dkms but make
Make doesn't work too. I'm not able to post any code, it's recognized as a spam?
Here: http://www.linux-phc.org/forum/viewtopi ... t=40#p8609
One more thing I wasn't able to register on this site with mail.ru e-mail service (One of the biggest service with very good spam filtering/adjustments) why?